Download it now!
Bug 134769 - XLSX file saved in LibreOffice 7 is corrupted and it is later not possible to open in Excel
Summary: XLSX file saved in LibreOffice 7 is corrupted and it is later not possible to...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.1 rc
Hardware: All All
: high major
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:6.4....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-13 07:49 UTC by Martin Hodek
Modified: 2020-08-04 07:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Questionnaire locked (848.40 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-07-13 07:51 UTC, Martin Hodek
Details
Questionnaire unlocked (848.44 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-07-13 07:52 UTC, Martin Hodek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Hodek 2020-07-13 07:49:31 UTC
Description:
I have rather complicated excel file that works as a questionaire.

Steps to Reproduce:
1.open submitted file in libreoffice 7
2.edit it (list named "dotazník") anyway you like
3.save it in xlsx format.
4.open it in MS Office

Actual Results:
MS Excel deems file corrupted.

Expected Results:
MS Excel should open the file with no problems (in previous versions checkboxes should disappear)


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.1 (x64)
Build ID: 04ba7e3f1e51af6c5d653e543a620e36719083fd
Vlákna CPU: 4; OS: Windows 10.0 Build 17134; Vykreslování UI: Skia/rastr; VCL: win
Locale: cs-CZ (cs_CZ); UI: cs-CZ
Calc: threaded
Comment 1 Martin Hodek 2020-07-13 07:51:40 UTC
Created attachment 162953 [details]
Questionnaire locked
Comment 2 Martin Hodek 2020-07-13 07:52:05 UTC
Created attachment 162954 [details]
Questionnaire unlocked
Comment 3 Martin Hodek 2020-07-13 07:52:31 UTC
I have rather complicated excel file that works as a questionnaire. The file is designed in excel, because it is sent to companies that predominantly use MS Office. But I also test it in Libre Office and Documents Google. The file worked well in the previous version of Libre Office (6.3 and 6.4). The only problem was that checkboxes disappeared after saving the file, but that was no problem, because information from these boxes was stored in connected cells.
In LibreOffice 7 it is possible to open the document and to edit it, but after saving it, MS Excel (tested in 2019 and 365) deems it corrupted. It offers automatic repair, but after doing so, the file appears to be empty. LibreOffice opens the file with no problem at all.
The file is rather complicated, it does not use macros, but apart from that it contains:
List “dotazník” – questionnaire itself
List “vyhledávač CZ ISCO – simple “search engine” that finds possible systematization of jobs based on word written into orange cell (try “referent” for example)
List “zdroj dat” – set up of the file and logic check of replies written in the questionnaire (warnings in cells with yellow background).
Another 15 hidden lists – source of data (companies and regions)

I thank you in advance for your reply and help.
Best regards,

Martin Hodek
Comment 4 Xisco Faulí 2020-07-13 10:50:42 UTC
Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 00be56d9db396d284f66ab723d6fbb898b888dfb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 5 Xisco Faulí 2020-07-13 11:06:27 UTC
Regression introduced by:

https://git.libreoffice.org/core/commit/fd238380ae7820f12ac1f7c52d0f7180a93f3ba3

tdf#106181 XLSX export: output form controls

Bisected with: bibisect-linux64-7.0

Adding Cc: to Serge Krot
Comment 6 Serge Krot (CIB) 2020-07-21 14:07:47 UTC
https://gerrit.libreoffice.org/c/core/+/99149
Comment 7 Commit Notification 2020-07-24 22:46:48 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/641dbafcb4c7b00bc9e56b58d12c95a6f05ee88d

tdf#134769 XLSX export fix: unable to open with MS Excel

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-07-25 17:58:31 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: b68c10a0d0e6f83b6b037da72210033cacb1677b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Serge, thanks for fixing this issue. I've created a unittest for this in https://gerrit.libreoffice.org/c/core/+/99447

Closing as VERIFIED FIXED
Comment 9 Commit Notification 2020-07-26 20:12:25 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e59ac9bea9caf5b24258ac1fecfc886a0fc7374f

tdf#134769: sc_subsequent_export_test: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-27 07:58:22 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6bb924a5d2b48336bbae47244210bbc78763b2ed

tdf#134769 XLSX export fix: unable to open with MS Excel

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-07-27 09:21:52 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/05b1e42a168b9675cff45b6be3ca8c28f01a629a

tdf#134769 XLSX export fix: unable to open with MS Excel

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-07-29 08:16:52 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-6":

https://git.libreoffice.org/core/commit/6a227cbd36bfc7847ab1d940c90d46552b959fb6

tdf#134769 XLSX export fix: unable to open with MS Excel

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-07-29 18:19:59 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-0":

https://git.libreoffice.org/core/commit/44b593c4f8ac277db63f2a6f43ba83febea48a14

tdf#134769 XLSX export fix: unable to open with MS Excel

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Martin Hodek 2020-08-04 06:13:12 UTC
Thank you very nzcg for your attention to the problem.
The situation reverted to the previous state (LO ver. 6.4 and earlier). Edited file is now possible to open in MSO, but checkboxes disappear.
That means that when you open unedited file in LO (checked on version: LibreOfficeDev_7.0.1.0.0_Win_x64.msi from 2020-Jul-31 21:01), you can check and uncheck the checkboxes. But after the file is saved and opened again (both in MSO and LO), checkboxes are gone.
But this is much better, but I don’t know whether this was the intentional outcome of the fix or whether the intention was to keep checkboxes accessible even after saving the file.

Once again I thank you very much.

Martin Hodek
Comment 15 Xisco Faulí 2020-08-04 07:45:28 UTC
(In reply to Martin Hodek from comment #14)
> Thank you very nzcg for your attention to the problem.
> The situation reverted to the previous state (LO ver. 6.4 and earlier).
> Edited file is now possible to open in MSO, but checkboxes disappear.
> That means that when you open unedited file in LO (checked on version:
> LibreOfficeDev_7.0.1.0.0_Win_x64.msi from 2020-Jul-31 21:01), you can check
> and uncheck the checkboxes. But after the file is saved and opened again
> (both in MSO and LO), checkboxes are gone.
> But this is much better, but I don’t know whether this was the intentional
> outcome of the fix or whether the intention was to keep checkboxes
> accessible even after saving the file.
> 
> Once again I thank you very much.
> 
> Martin Hodek

Hello Martin,
Please, create a new report for that.
Closing as VERIFIED FIXED